Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_Proxy_List Class Template Reference

A concrete proxy collection. More...

`#include <ESF_Proxy_List.h>`

Collaboration diagram for TAO_ESF_Proxy_List:

[legend]
List of all members.

## Public Types
typedef ACE_Unbounded_Set< PROXY*> | Implementation
| A typedef for the underlying implementaiton class.
typedef ACE_Unbounded_Set_Iterator< PROXY*> | Iterator
| A typedef for the underlying iterator.
## Public Methods
| TAO_ESF_Proxy_List (void)
| Constructor.
ACE_Unbounded_Set_Iterator< PROXY*> | begin (void)
| Return the first element in the collection, or end() if there are none.
ACE_Unbounded_Set_Iterator< PROXY*> | end (void)
| Return one past the last element in the collection.
size_t | size (void) const
| Return the number of elements in the collection.
void | connected (PROXY *, CORBA::Environment &)
| Insert a new element to the collection.
void | reconnected (PROXY *, CORBA::Environment &)
| Insert a new element that could be there already.
void | disconnected (PROXY *, CORBA::Environment &)
| Remove an element from the collection.
void | shutdown (CORBA::Environment &)
| Shutdown the collection, i.e. remove all elements and release resources.
## Private Attributes
ACE_Unbounded_Set<PROXY*> | impl_
| The underlying implementation object.

## Detailed Description

### template<class PROXY> template class TAO_ESF_Proxy_List

A concrete proxy collection.

Based on the ACE_Unbounded_Set<> collection, used a double linked list internally.

## Member Typedef Documentation

template<classPROXY>
typedef ACE_Unbounded_Set<PROXY*> TAO_ESF_Proxy_List<PROXY>::Implementation

| A typedef for the underlying implementaiton class.

template<classPROXY>
typedef ACE_Unbounded_Set_Iterator<PROXY*> TAO_ESF_Proxy_List<PROXY>::Iterator

| A typedef for the underlying iterator.

## Constructor & Destructor Documentation

template<classPROXY>
TAO_ESF_Proxy_List<PROXY>::TAO_ESF_Proxy_List<PROXY> ( | void )

| Constructor.

## Member Function Documentation

template<classPROXY>
ACE_INLINE ACE_Unbounded_Set_Iterator< PROXY *> TAO_ESF_Proxy_List< PROXY >::begin ( | void )

| Return the first element in the collection, or end() if there are none.

template<classPROXY>
void TAO_ESF_Proxy_List<PROXY>::connected ( | PROXY * proxy,
| CORBA::Environment & )

| Insert a new element to the collection.

template<classPROXY>
void TAO_ESF_Proxy_List<PROXY>::disconnected ( | PROXY * proxy,
| CORBA::Environment & )

| Remove an element from the collection.

template<classPROXY>
ACE_INLINE ACE_Unbounded_Set_Iterator< PROXY *> TAO_ESF_Proxy_List< PROXY >::end ( | void )

| Return one past the last element in the collection.

template<classPROXY>
void TAO_ESF_Proxy_List<PROXY>::reconnected ( | PROXY * proxy,
| CORBA::Environment & )

| Insert a new element that could be there already.

template<classPROXY>
void TAO_ESF_Proxy_List<PROXY>::shutdown ( | CORBA::Environment & )

| Shutdown the collection, i.e. remove all elements and release resources.

template<classPROXY>
ACE_INLINE size_t TAO_ESF_Proxy_List< PROXY >::size ( | void ) const

| Return the number of elements in the collection.

## Member Data Documentation

template<classPROXY>
ACE_Unbounded_Set< PROXY *> TAO_ESF_Proxy_List<PROXY>::impl_`[private]`

| The underlying implementation object.

The documentation for this class was generated from the following files:

- ESF_Proxy_List.h
- ESF_Proxy_List.cpp
- ESF_Proxy_List.i